Skip to main content
GET
/
api
/
v1
/
customer
/
credit-grants
List Credit Grants
curl --request GET \
  --url https://api.example.com/api/v1/customer/credit-grants \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/customer/credit-grants"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/customer/credit-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "creditGrantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyCreditAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "<string>",
      "amount": 123,
      "availableAmount": 123,
      "reservedAmount": 123,
      "usedAmount": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "grantedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reason": "<string>",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "startsAt": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z",
      "canceledAt": "2023-11-07T05:31:56Z",
      "consumedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "limit": 10,
    "page": 1,
    "totalItems": 100,
    "totalPages": 10
  }
}
{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}
{
"message": "Missing or invalid access token",
"statusCode": 401
}
{
"message": "Internal Server Error",
"statusCode": 500
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number
default:10

Items per page

Example:

10

page
number
default:1

Page number

Example:

1

companyId
string<uuid>
status
enum<string>
Available options:
ACTIVE,
SUSPENDED,
EXPIRED,
CONSUMED,
CANCELED
sortBy
enum<string>
default:createdAt

Field to sort by

Available options:
createdAt,
expiresAt,
availableAmount
Example:

"createdAt"

sortOrder
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

List credit grants

data
object[]
required
meta
object
required